Subject: bug#42762: GREP does not support Unicode

From: Paulie Pena IV <[email-masked]>
Date: Sun, 31 Jan 2021 11:10:10 -0500

Supporting Unicode means it should also support UTF-16 and UTF-32 files,
which grep does not.

Look at the insane number of hoops this person had to do to workaround this
major issue (and then it doesn't even print out the matching lines and just
says "Binary file ... matches"):
https://stackoverflow.com/a/3781221/2016290

Are there any plans for adding UTF-16 and UTF-32 file support to grep?

Thank you,
Paulie

P.S. The footer on https://debbugs.gnu.org/ pages has a date of 2003, which
of course is also very outdated. I hope I'm doing the right thing by
sending this email, since there's no way to comment directly in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42762